On my Ubuntu VPS I keep getting some repository errors with I do "apt-get update" and I can't update anymore. How do I fix this?

When I try to run the command "sudo apt-get update" on my Ubuntu 14 VPS I keep getting errors. Below is a log of what is happening:

lupocatttivo@octane:~$ sudo apt-get update
Ign http://mirrors.linode.com trusty InRelease
Ign http://ppa.launchpad.net trusty InRelease
Ign http://mirrors.linode.com trusty-updates InRelease
Ign http://ppa.launchpad.net trusty InRelease
Ign http://mirrors.linode.com trusty-backports InRelease
Ign http://mirrors.linode.com trusty-security InRelease
Ign http://ppa.launchpad.net trusty InRelease
Ign http://archive.ubuntu.com trusty InRelease
Hit http://mirrors.linode.com trusty Release.gpg
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://mirrors.linode.com trusty-updates Release.gpg
Hit http://mirrors.linode.com trusty-backports Release.gpg
Hit http://archive.ubuntu.com trusty Release.gpg
Hit http://mirrors.linode.com trusty-security Release.gpg
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://mirrors.linode.com trusty Release
Hit http://mirrors.linode.com trusty-updates Release
Hit http://mirrors.linode.com trusty-backports Release
Hit http://archive.ubuntu.com trusty Release
Hit http://ppa.launchpad.net trusty Release.gpg
Hit http://ppa.launchpad.net trusty Release
Ign http://dl.google.com stable InRelease
Hit http://mirrors.linode.com trusty-security Release
Hit http://ppa.launchpad.net trusty Release
Hit http://ppa.launchpad.net trusty Release
Hit http://mirrors.linode.com trusty/main Sources
Hit http://dl.google.com stable Release.gpg
Hit http://mirrors.linode.com trusty/restricted Sources
Hit http://mirrors.linode.com trusty/universe Sources
Hit http://mirrors.linode.com trusty/multiverse Sources
Hit http://mirrors.linode.com trusty/main amd64 Packages
Hit http://mirrors.linode.com trusty/restricted amd64 Packages
Hit http://mirrors.linode.com trusty/universe amd64 Packages
Hit http://dl.google.com stable Release
Hit http://archive.ubuntu.com trusty/main amd64 Packages
Hit http://archive.ubuntu.com trusty/universe amd64 Packages
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://archive.ubuntu.com trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://archive.ubuntu.com trusty/universe i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://archive.ubuntu.com trusty/main Translation-en
Hit http://archive.ubuntu.com trusty/universe Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://ppa.launchpad.net trusty/main amd64 Packages
Hit http://ppa.launchpad.net trusty/main i386 Packages
Hit http://ppa.launchpad.net trusty/main Translation-en
Hit http://mirrors.linode.com trusty/multiverse amd64 Packages
Hit http://mirrors.linode.com trusty/main i386 Packages
Hit http://mirrors.linode.com trusty/restricted i386 Packages
Hit http://mirrors.linode.com trusty/universe i386 Packages
Hit http://mirrors.linode.com trusty/multiverse i386 Packages
Ign http://archive.ubuntu.com trusty/main Translation-en_US
Hit http://mirrors.linode.com trusty/main Translation-en
Ign http://archive.ubuntu.com trusty/universe Translation-en_US
Hit http://mirrors.linode.com trusty/multiverse Translation-en
Hit http://mirrors.linode.com trusty/restricted Translation-en
Hit http://mirrors.linode.com trusty/universe Translation-en
Hit http://mirrors.linode.com trusty-updates/main Sources
Hit http://mirrors.linode.com trusty-updates/restricted Sources
Hit http://mirrors.linode.com trusty-updates/universe Sources
Hit http://mirrors.linode.com trusty-updates/multiverse Sources
Hit http://mirrors.linode.com trusty-updates/main amd64 Packages
Hit http://mirrors.linode.com trusty-updates/restricted amd64 Packages
Hit http://mirrors.linode.com trusty-updates/universe amd64 Packages
Hit http://mirrors.linode.com trusty-updates/multiverse amd64 Packages
Hit http://mirrors.linode.com trusty-updates/main i386 Packages
Hit http://mirrors.linode.com trusty-updates/restricted i386 Packages
Hit http://mirrors.linode.com trusty-updates/universe i386 Packages
Ign http://downloads-distro.mongodb.org dist InRelease
Ign http://us.archive.ubuntu.com saucy InRelease
Hit http://mirrors.linode.com trusty-updates/multiverse i386 Packages
Hit http://mirrors.linode.com trusty-updates/main Translation-en
Hit http://mirrors.linode.com trusty-updates/multiverse Translation-en
Hit http://mirrors.linode.com trusty-updates/restricted Translation-en
Hit http://mirrors.linode.com trusty-updates/universe Translation-en
Hit http://mirrors.linode.com trusty-backports/main Sources
Hit http://mirrors.linode.com trusty-backports/restricted Sources
Hit http://mirrors.linode.com trusty-backports/universe Sources
Hit http://mirrors.linode.com trusty-backports/multiverse Sources
Hit http://mirrors.linode.com trusty-backports/main amd64 Packages
Hit http://mirrors.linode.com trusty-backports/restricted amd64 Packages
Hit http://mirrors.linode.com trusty-backports/universe amd64 Packages
Hit http://mirrors.linode.com trusty-backports/multiverse amd64 Packages
Hit http://apt-longview.linode.com trusty InRelease
Hit http://mirrors.linode.com trusty-backports/main i386 Packages
Ign http://apt.newrelic.com newrelic InRelease
Hit http://mirrors.linode.com trusty-backports/restricted i386 Packages
Hit http://mirrors.linode.com trusty-backports/universe i386 Packages
Hit http://mirrors.linode.com trusty-backports/multiverse i386 Packages
Hit http://mirrors.linode.com trusty-backports/main Translation-en
Hit http://mirrors.linode.com trusty-backports/multiverse Translation-en
Hit http://mirrors.linode.com trusty-backports/restricted Translation-en
Hit http://mirrors.linode.com trusty-backports/universe Translation-en
Hit http://mirrors.linode.com trusty-security/main Sources
Hit http://mirrors.linode.com trusty-security/restricted Sources
Hit http://mirrors.linode.com trusty-security/universe Sources
Hit http://mirrors.linode.com trusty-security/multiverse Sources
Hit http://mirrors.linode.com trusty-security/main amd64 Packages
Hit http://mirrors.linode.com trusty-security/restricted amd64 Packages
Hit http://mirrors.linode.com trusty-security/universe amd64 Packages
Hit http://mirrors.linode.com trusty-security/multiverse amd64 Packages
Hit http://mirrors.linode.com trusty-security/main i386 Packages
Hit http://mirrors.linode.com trusty-security/restricted i386 Packages
Ign http://us.archive.ubuntu.com saucy Release.gpg
Hit http://apt.newrelic.com newrelic Release.gpg
Hit http://apt-longview.linode.com trusty/main amd64 Packages
Hit http://mirrors.linode.com trusty-security/universe i386 Packages
Hit http://mirrors.linode.com trusty-security/multiverse i386 Packages
Hit http://mirrors.linode.com trusty-security/main Translation-en
Hit http://mirrors.linode.com trusty-security/multiverse Translation-en
Hit http://mirrors.linode.com trusty-security/restricted Translation-en
Hit http://mirrors.linode.com trusty-security/universe Translation-en
Ign http://mirrors.linode.com trusty/main Translation-en_US
Ign http://mirrors.linode.com trusty/multiverse Translation-en_US
Ign http://mirrors.linode.com trusty/restricted Translation-en_US
Ign http://mirrors.linode.com trusty/universe Translation-en_US
Ign http://us.archive.ubuntu.com saucy Release
Hit http://downloads-distro.mongodb.org dist Release.gpg
Hit http://apt.newrelic.com newrelic Release
Hit http://apt-longview.linode.com trusty/main i386 Packages
Ign http://us.archive.ubuntu.com saucy/main amd64 Packages/DiffIndex
Hit https://repo.varnish-cache.org trusty InRelease
Hit http://apt.newrelic.com newrelic/non-free amd64 Packages
Ign http://us.archive.ubuntu.com saucy/universe amd64 Packages/DiffIndex
Hit http://downloads-distro.mongodb.org dist Release
Hit https://repo.varnish-cache.org trusty/varnish-4.0 amd64 Packages
Hit http://apt.newrelic.com newrelic/non-free i386 Packages
Ign http://us.archive.ubuntu.com saucy/main i386 Packages/DiffIndex
Hit https://repo.varnish-cache.org trusty/varnish-4.0 i386 Packages
Get:1 https://repo.varnish-cache.org trusty/varnish-4.0 Translation-en_US
Ign http://us.archive.ubuntu.com saucy/universe i386 Packages/DiffIndex
Hit http://downloads-distro.mongodb.org dist/10gen amd64 Packages
Hit http://dl.google.com stable/main amd64 Packages
Hit http://dl.google.com stable/main i386 Packages
Hit http://downloads-distro.mongodb.org dist/10gen i386 Packages
Ign https://repo.varnish-cache.org trusty/varnish-4.0 Translation-en_US
Ign http://apt-longview.linode.com trusty/main Translation-en_US
Ign https://repo.varnish-cache.org trusty/varnish-4.0 Translation-en
Ign http://apt-longview.linode.com trusty/main Translation-en
Ign http://apt.newrelic.com newrelic/non-free Translation-en_US
Ign http://apt.newrelic.com newrelic/non-free Translation-en
Ign http://dl.google.com stable/main Translation-en_US
Ign http://dl.google.com stable/main Translation-en
Ign http://downloads-distro.mongodb.org dist/10gen Translation-en_US
Ign http://downloads-distro.mongodb.org dist/10gen Translation-en
Ign http://us.archive.ubuntu.com saucy/main Translation-en_US
Ign http://us.archive.ubuntu.com saucy/main Translation-en
Ign http://us.archive.ubuntu.com saucy/universe Translation-en_US
Ign http://us.archive.ubuntu.com saucy/universe Translation-en
Err http://us.archive.ubuntu.com saucy/main amd64 Packages
  404  Not Found [IP: 2001:67c:1562::17 80]
Err http://us.archive.ubuntu.com saucy/universe amd64 Packages
  404  Not Found [IP: 2001:67c:1562::17 80]
Err http://us.archive.ubuntu.com saucy/main i386 Packages
  404  Not Found [IP: 2001:67c:1562::17 80]
Err http://us.archive.ubuntu.com saucy/universe i386 Packages
  404  Not Found [IP: 2001:67c:1562::17 80]
W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/saucy/main/binary-amd64/Packages  404  Not Found [IP: 2001:67c:1562::17 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/saucy/universe/binary-amd64/Packages  404  Not Found [IP: 2001:67c:1562::17 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/saucy/main/binary-i386/Packages  404  Not Found [IP: 2001:67c:1562::17 80]

W: Failed to fetch http://us.archive.ubuntu.com/ubuntu/dists/saucy/universe/binary-i386/Packages  404  Not Found [IP: 2001:67c:1562::17 80]

E: Some index files failed to download. They have been ignored, or old ones used instead.

Open in new window


Could you please help fix the problem?

thanks in advance
badwolfffAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Zac HarrisSystems Administrator Commented:
You should check to make sure your Ubuntu installation is still supported. If you need the command:

$ cat /etc/lsb-release

Open in new window


Then check the "End of Life" (EOL) of the release here: Ubuntu Releases

If you are at EOL of your release you need to change your sources.list (/etc/apt/sources.list). Replace CODENAME with the codename of the Ubuntu release you are using.

# Required
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME main restricted universe multiverse
deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-updates main restricted universe multiverse
deb http://old-releases.ubuntu.com/ununtu/ CODENAME-security main restricted universe multiverse

#Optional
#deb http://old-releases.ubuntu.com/ubuntu/ CODENAME-backports main restricted universe multiverse

Open in new window


From your log, it looks like you are still hitting some saucey repos which may be a little old.

HTH
0
senthil0787Unix AdminCommented:
Hi There,

Basically the web page error 404 defines that the page your looking for is not available in the respective repo server and you need to use the different Ubuntu repository to download the packages.  Hopefully that helps you to fix this issues.

Thanks
Sen
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Linux Distributions

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.